python-pyxmpp_1.1.2-1_amd64.deb


Advertisement

Description

python-pyxmpp - XMPP and Jabber implementation for Python

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pyxmpp
Package version: 1.1.2
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 644 B
Download size: 115.95 KB
Official Mirror: archive.ubuntu.com
PyXMPP is a Python XMPP (RFC 3920,3921) and Jabber (http://www.jabber.org/protocol/) implementation. It is based on libxml2 -- fast and fully-featured XML parser. PyXMPP provides most core features of the XMPP protocol and several JSF-defined extensions. PyXMPP provides building blocks for creating Jabber clients and components. Developer uses them to setup XMPP streams, handle incoming events and create outgoing stanzas (XMPP "packets"). Features: * nearly complete XMPP Core (RFC 3920) protocol for client connections (includes SASL, TLS and Stringprep) * mostly complete XMPP IM (RFC 3921) protocol (lacks privacy lists) * XMPP error objects including translations to and from legacy codes for backward compatibility (JEP-0086). * legacy authentication ("digest" and "plain") (JEP-0078). * component protocol (JEP-0114). * Service Discovery (JEP-0030). * vCards -- both Jabber "vcard-temp" and RFC 2426 * basic parts of the Multi-User Chat protocol (JEP-0045) * delayed delivery timestamps (JEP-0091).

Alternatives

Provides

  • python2.7-pyxmpp

Conflicts

  • python2.3-pyxmpp << 1.0.0-1.1
  • python2.4-pyxmpp << 1.0.0-1.1

Replaces

  • python2.3-pyxmpp << 1.0.0-1.1
  • python2.4-pyxmpp << 1.0.0-1.1

    Download

    Source package: pyxmpp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pyxmpp deb package:
      # sudo apt-get install python-pyxmpp

    Files

    • /usr/lib/python2.7/dist-packages/pyxmpp-1.1.2.egg-info
    • /usr/lib/python2.7/dist-packages/pyxmpp/__init__.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/_xmlextra.so
    • /usr/lib/python2.7/dist-packages/pyxmpp/all.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/cache.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/client.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/clientstream.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/error.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/exceptions.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/expdict.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/interface.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/interface_micro_impl.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/interfaces.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/iq.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jid.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/message.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/objects.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/presence.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/resolver.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/roster.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/stanza.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/stanzaprocessor.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/stream.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/streambase.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/streamsasl.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/streamtls.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/utils.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/version.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/xmlextra.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/xmppstringprep.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/__init__.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/all.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/client.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/clientstream.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/dataforms.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/delay.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/disco.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/muc.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/muccore.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/register.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/simple.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabber/vcard.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabberd/__init__.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabberd/all.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabberd/component.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/jabberd/componentstream.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/sasl/__init__.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/sasl/core.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/sasl/digest_md5.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/sasl/external.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/sasl/gssapi.py
    • /usr/lib/python2.7/dist-packages/pyxmpp/sasl/plain.py
    • /usr/share/doc/python-pyxmpp/TODO
    • /usr/share/doc/python-pyxmpp/changelog.Debian.gz
    • /usr/share/doc/python-pyxmpp/copyright

    Changelog

    2012-05-10 - Bernd Zeimetz <bzed@debian.org> pyxmpp (1.1.2-1) unstable; urgency=low * New upstream version. * Adding/bumping dependencies. * Migrating to dh_python2. * Fixing watch file. * Bumping standards-Version to 3.9.3, no changes needed.

    2010-05-06 - Bernd Zeimetz <bzed@debian.org> pyxmpp (1.1.1-1) unstable; urgency=low * New upstream version. * Recommend python-zope.interface as pyxmpp uses it if available.

    2010-04-14 - Bernd Zeimetz <bzed@debian.org> pyxmpp (1.1.0-1) unstable; urgency=low * New upstream version. * Adding Homepage and Vcs-* fields to debian/control. * Bumping Standards-Version to 3.8.4, no changes needed. * Required Python version is 2.6 now. * Update debian/rules to use python_distutils as buildsystem. Make sure tests are being run. Clean build directory properly. * Require debhelper (>= 7.0.50~) as this is the first version which supports overrides.

    2009-05-09 - Bernd Zeimetz <bzed@debian.org> pyxmpp (1.0.1-1) unstable; urgency=low * New upstream version. * Taking over maintenance from Patrick Dreker as he doesn't have the time to take care of the package anymore. Thanks a lot for your work Patrick! The package will be maintained in the Ptyhon-Modules-Team. * Bumping Standards-Version to 3.8.1, no changes needed. * Getting rid of cdbs, using dh now. * Rising Build-Dep of python-support to 0.7.1 * Adding python-dnspython, python-m2crypto, python-libxml2 as Build-Deps. * Adding watch file. * Adding debian/pyversions, limiting to 2.4 and later. * Adding Section: doc for python-pyxmpp-doc. * Adding missing ${misc:Depends} and ${shlibs:Depends}

    2006-11-03 - Patrick Dreker <patrick@dreker.org> pyxmpp (1.0.0-4) unstable; urgency=medium * fix missing dependencies on python-libxml2 and change dependency from m2crypto to python-m2crypto (closes: #394858)

    2006-08-03 - Patrick Dreker <patrick@dreker.de> pyxmpp (1.0.0-3) unstable; urgency=medium * Fix missing dependency on m2crypto (closes: #381013)

    2006-07-24 - Patrick Dreker <patrick@dreker.org> pyxmpp (1.0.0-2) unstable; urgency=low * Acknowledge NMU (closes: #373375) * Fix missing dependency on python-dnspython introduced by NMU (closes: #379281)

    2006-06-29 - Pierre Habouzit <madcoder@debian.org> pyxmpp (1.0.0-1.1) unstable; urgency=low * Non-maintainer upload. * Drop custom class, use cdbs one. * Update package to the new python policy (Closes: #373375).

    2006-03-19 - Florian Ragwitz <rafl@debian.org> pyxmpp (1.0.0-1) unstable; urgency=low [ Patrick Dreker ] * New upstream release * remove pyxmpp-muc-history.patch, merged upstream, disable cdbs simplepatch in debian/rules, as there are no patches left * fix typo in debian/control * put API documentation into separate python-pyxmpp-doc package * move examples into python-pyxmpp-doc package, don't adapt them to a specific python version. * swap Maintainer and Uploader field, as I am the official maintainer now. Cleared with Florian Ragwitz (rafl). [ Florian Ragwitz ] * We don't use debian/control autogeneration anymore. I remove debian/control.in and coresponding debian/rules code. * Switched to DH_COMPAT version 5.

    2005-11-27 - Patrick Dreker <patrick@dreker.org> pyxmpp (0.5+svn20051124-1) unstable; urgency=low * New upstream version * add a patch to actually make MUC History work. Already sent upstream.

    Advertisement
    Advertisement